%--------------------------------------------------------------------------
% PROGRAM PRO ZÁLOHU VÝSLEDKŮ ROZMĚŘENÍ DATABÁZE EKG SIGNÁLŮ
%--------------------------------------------------------------------------

%------ NALEZENÍ QRS BODŮ A JEJICH ZÁLOHA ---------------------------------

rozsah = find(QRS>referee(cisla(ceil(cyklus/poc_pripon)),1),1,'first');

if  rozsah > 1
    QRSon(cyklus) = QRSonset(rozsah-1);
else
    QRSon(cyklus) = 0;
end

if  rozsah <= length(QRSoffset)
    QRSoff(cyklus) = QRSoffset(rozsah);
else
    QRSoff(cyklus) = 0;
end

%------ NALEZENÍ T BODŮ A JEJICH ZÁLOHA -----------------------------------

if  rozsah <= length(QRSoffset)
    rozsah2 = find(Tend>QRSoffset(rozsah) & Tend<QRSonset(rozsah),1);
else
    rozsah2 = [];
end

if  ~isempty(rozsah2)
    Toff(cyklus) = Tend(rozsah2);
else
    Toff(cyklus) = 0;
end

%------ NALEZENÍ P BODŮ A JEJICH ZÁLOHA -----------------------------------

if  rozsah > 1
    rozsah2 = find(Ponset>QRSoffset(rozsah-1) & Ponset<QRSonset(rozsah-1),1);
else
    rozsah2 = [];
end

if  ~isempty(rozsah2)
    Pon(cyklus) = Ponset(rozsah2);
    Poff(cyklus) = Poffset(rozsah2);
else
    Pon(cyklus) = 0;
    Poff(cyklus) = 0;
end

clear rozsah rozsah2;
%--------------------------------------------------------------------------